SetupFullscreen(800, 600, "Lace Knight");

font = new Font("data/fonts/arial.ttf", 28);

//INTRO
intro = new Layer();
intro1 = new Quad(intro, 0, 0, 800, 600);
intro1.SetImage("data/intro.png");

//BG1
bg1 = new Layer();
bg11 = new Quad(bg1, 0, 0, 800, 600);
bg11.SetImage("data/bg1.png");

//BG2
bg2 = new Layer();
bg21 = new Quad(bg2, 0, 0, 800, 600);
bg21.SetImage("data/bg2.png");

//BG3
bg3 = new Layer();
bg31 = new Quad(bg3, 0, 0, 800, 600);
bg31.SetImage("data/bg3.png");

//INTRO
outro = new Layer();
outro1 = new Quad(outro, 0, 0, 800, 600);
outro1.SetImage("data/outro.png");

//Clouds
clouds = new Layer();
clouds.SetBlendMode(BlendModeReplace);
cloud1 = new Quad(clouds, 100, 50, 174, 67);
cloud1.SetImage("data/cloud1.png");
cloud2 = new Quad(clouds, 600, 150, 174, 67);
cloud2.SetImage("data/cloud1.png");
cloud3 = new Quad(clouds, 1000, 80, 174, 67);
cloud3.SetImage("data/cloud1.png");

//Knight
knight = new Layer();
knight.SetBlendMode(BlendModeReplace);
knight1 = new Quad(knight, 280, 100, 206, 316);
knight1.SetImage("data/knight1.png");

//Horse
horse = new Layer();
horse.SetBlendMode(BlendModeReplace);
horse1 = new Quad(horse, 180, 190, 441, 331);
horse1.SetImage("data/horse1.png");

//Lace
lace = new Layer();
lace.SetBlendMode(BlendModeReplace);
lace1 = new Quad(lace, 80, 80, 629, 408);
lace1.SetImage("data/lace1.png");

//Narrator
narrator = new Layer();
narrator.SetBlendMode(BlendModeReplace);
text = new Text(narrator, font, "Once upon a time, there was a Knight.", 100, 35, 650, 150);
text.SetColor(0,0,0,1);

///Guillotine
guillotine = new Layer();
guillotine.SetBlendMode(BlendModeReplace);
gil1 = new Quad(guillotine, 200, 180, 397, 421);
gil1.SetImage("data/gil1.png");
gil2 = new Quad(guillotine, 250, 215, 267, 296);
gil2.SetImage("data/gil2.png");

while (Update() && !KeyDown(KeyEsc))
{
  Clear(1,1,1);
	time = GetTime()+0;
	
	clouds_x = time*-50;
	
	if(time < 5.0) {
    intro.Render();  
  } else if(time > 5.0 && time < 17.0) {
    bg1.Render();
    while(clouds_x < 0) clouds_x += 800;
    cloud1.SetPosition(clouds_x-500, 50);
    cloud2.SetPosition(clouds_x, 150);
    cloud3.SetPosition(clouds_x+400, 80);
    clouds.Render();
    if(time > 9.0) {
      text.SetText("He was known for his courage and fearlessness.");
    }
    if(time > 13.0) {
      text.SetText("But then, one day, they found out his terrible secret...");
    }
    horse1.SetPosition(180, Math.sin(time*5)*5+190);
  	horse.Render();
  	knight1.SetPosition(280, Math.sin(time*5)*8+100);
  	knight.Render();
  	narrator.Render();
  } else if(time > 17.0 && time < 26.0) {
    bg2.Render();
    text.SetText("He liked to wear lace womens underwear!");
    if(time > 21.0) {
      text.SetText("And so, there was only one thing they could do.");
    }
    lace1.SetSize(Math.sin(time*5)*10+629, Math.cos(time*5)*10+408);
    lace.Render();
    narrator.Render();
  } else if(time > 26.0 && time < 28.0) {
    bg3.Render();
    text.SetText("He had to be executed!");
    guillotine.Render();
    narrator.Render();
  } else if(time > 28.0 && time < 34.0) {
    bg3.Render();
    if(time > 30.0) {
      text.SetText("And thus ends the story of the Lace Knight");
    }
    gil2.SetPosition(250,215*time-5830);
    guillotine.Render();
    narrator.Render();
  } else if(time > 34.0 && time < 38.0) {
    outro.Render();
  } else {
    break;
  }
	
}                                               